"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMinBalance = exports.getBalanceMicroalgos = exports.getBalanceAlgos = exports.validateAddress = void 0;
const algosdk_1 = require("algosdk");
async function validateAddress(address) {
    return algosdk_1.default.isValidAddress(address);
}
exports.validateAddress = validateAddress;
async function getBalanceAlgos(client, address) {
    const balanceMicroalgos = await getBalanceMicroalgos(client, address);
    return algosdk_1.default.microalgosToAlgos(balanceMicroalgos);
}
exports.getBalanceAlgos = getBalanceAlgos;
async function getBalanceMicroalgos(client, address) {
    const accountInfo = await client.accountInformation(address).do();
    const balance = accountInfo['amount'];
    return balance;
}
exports.getBalanceMicroalgos = getBalanceMicroalgos;
async function getMinBalance(client, address) {
    const account = await client.accountInformation(address).do();
    const minBalance = account['min-balance'];
    return algosdk_1.default.microalgosToAlgos(minBalance);
}
exports.getMinBalance = getMinBalance;
//# sourceMappingURL=accounts.js.map