"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const metadata = require("../index");
const testConfig_1 = require("./testConfig");
describe('MetadataTest: Happy Path', () => {
    it('Should get the metadata of the asset', async () => {
        const metadataInfo = await metadata.getAssetMetadata(testConfig_1.indexer, testConfig_1.nftId);
        expect(metadataInfo).toEqual(testConfig_1.nftMetadata);
    });
});
describe('MetadataTest: Unhappy Path', () => {
    it('Should throw an error if the asset does not exist', async () => {
        await expect(metadata.getAssetMetadata(testConfig_1.indexer, 0)).rejects.toThrow();
    });
    it('Should throw an error if the asset does not have a note', async () => {
        await expect(metadata.getAssetMetadata(testConfig_1.indexer, testConfig_1.testId)).rejects.toThrow();
    });
    it('Should throw an error if the asset does not have metadata', async () => {
        await expect(metadata.getAssetMetadata(testConfig_1.indexer, testConfig_1.asaId)).rejects.toThrow();
    });
});
//# sourceMappingURL=metadata.test.js.map